summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-05-26 08:33:24 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-05-26 08:33:24 +0000
commita071844fd9e603f057b9db4eb0d63b2b323f88fa (patch)
tree43cf5e0d0f784881db8b13d1c4709f5fc03cbf09
parent99b3532d5ccda2db18ffd00ee48b428dce541838 (diff)
downloadalpine-conf-a071844fd9e603f057b9db4eb0d63b2b323f88fa.tar.bz2
alpine-conf-a071844fd9e603f057b9db4eb0d63b2b323f88fa.tar.xz
removed obsolete files
-rw-r--r--Makefile1
-rw-r--r--albootstrap.in54
-rwxr-xr-xsetup-problem-reporting40
-rwxr-xr-xsetup-sendbug.in41
4 files changed, 0 insertions, 136 deletions
diff --git a/Makefile b/Makefile
index e05b8fc..bcfab81 100644
--- a/Makefile
+++ b/Makefile
@@ -20,7 +20,6 @@ SBIN_FILES := lbu\
setup-interfaces\
setup-keymap\
setup-mta\
- setup-sendbug\
setup-acf\
setup-bootable\
update-conf
diff --git a/albootstrap.in b/albootstrap.in
deleted file mode 100644
index 3f27f3b..0000000
--- a/albootstrap.in
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/sh
-
-# bootstrap an alpine installation
-
-VERSION=@VERSION@
-
-usage() {
- echo "usage: $(basename $0) TARGETDIR"
- exit 2
-}
-
-die () {
- echo "$@" >&2
- exit 3
-}
-
-# set up vars
-: ${WGET:="/usr/bin/wget"}
-: ${TAR:="/usr/bin/tar"}
-: ${MIRROR:="http://dev.alpinelinux.org/alpine/v1.7"}
-: ${BASE:="base.tar.bz2"}
-target=$1
-
-# main
-[ -z "$target" ] && usage
-[ "$target" = "/" ] && die "Bootstrapping Alpine to '/' is probably not a good idea. Aborting..."
-
-mkdir -p "$target"
-
-echo ">>> Fetching $MIRROR/$BASE..."
-$WGET -q -O - "$MIRROR/$BASE" | tar -C "$target" -jx || die "Failed to fetch or unpack $BASE"
-
-echo ">>> Creating missing dirs..."
-for dir in proc sys dev home; do
- mkdir -p "$target/$dir"
-done
-
-echo ">>> Installing busybox links..."
-# create fake /proc/self/exe
-mkdir -p "$target/proc/self"
-ln -s /bin/busybox "$target/proc/self/exe"
-chroot "$target" /bin/busybox --install -s
-rm -r "$target/proc/self"
-
-if [ -f /etc/resolv.conf ]; then
- echo ">>> Copying /etc/resolv.conf..."
- cp /etc/resolv.conf "$target/etc/"
-fi
-
-echo ">>> Setting up APK_PATH..."
-echo "export APK_PATH=$MIRROR/apks" >> "$target/etc/profile"
-
-echo ">>> Alpine bootstrap complete."
-
diff --git a/setup-problem-reporting b/setup-problem-reporting
deleted file mode 100755
index 0b24a30..0000000
--- a/setup-problem-reporting
+++ /dev/null
@@ -1,40 +0,0 @@
-#!/bin/sh
-
-PREFIX=
-. "$PREFIX/lib/libalpine.sh"
-
-conf="$ROOT/etc/gnats/send-pr.conf"
-
-cfgval() {
- awk -F= "/^$1/ {print \$2}" "$ROOT/etc/ssmtp/ssmtp.conf" 2>/dev/null
-}
-
-email=$(awk -F= '/^FROM/ {print $2}' "$conf" 2>/dev/null)
-
-if [ -z "$email" ] ; then
- hostname=$(cfgval hostname)
- if [ -z "$hostname" ]; then
- hostname=$(hostname -f 2>/dev/null || cat /etc/hostname)
- fi
-else
- hostname=$(hostname -f 2>/dev/null || cat /etc/hostname)
-fi
-domain=$(hostname -d $hostname 2>/dev/null)
-if [ -n "$hostname" -a -z "$email" ] ; then
- email=$(whoami)@$hostname
-fi
-
-echon "Sender email address for problem reports? [$email] "
-default_read email $email
-
-if grep ^FROM "$conf" > /dev/null ; then
- sed -i "s/FROM.*/FROM=$email/" "$conf"
-else
- echo "FROM=$email" >> "$conf"
-fi
-
-setup-mta
-
-echo ""
-echo "Please run 'send-pr' to submit problem reports"
-
diff --git a/setup-sendbug.in b/setup-sendbug.in
deleted file mode 100755
index 9ce94d8..0000000
--- a/setup-sendbug.in
+++ /dev/null
@@ -1,41 +0,0 @@
-#!/bin/sh
-
-PREFIX=
-. "$PREFIX/lib/libalpine.sh"
-
-conf="$ROOT/etc/sendbug/sendbug.conf"
-
-cfgval() {
- awk -F= "/^$1/ {print \$2}" "$ROOT/etc/ssmtp/ssmtp.conf" 2>/dev/null
-}
-
-email=$(awk -F= '/^mailfrom/ {print $2}' "$conf" 2>/dev/null)
-
-if [ -z "$email" ] ; then
- hostname=$(cfgval hostname)
- if [ -z "$hostname" ]; then
- hostname=$(hostname -f 2>/dev/null || cat /etc/hostname)
- fi
-else
- hostname=$(hostname -f 2>/dev/null || cat /etc/hostname)
-fi
-domain=$(hostname -d $hostname 2>/dev/null)
-if [ -n "$hostname" -a -z "$email" ] ; then
- email=$(whoami)@$hostname
-fi
-
-echon "Sender email address for problem reports? [$email] "
-default_read email $email
-
-if grep ^mailfrom "$conf" > /dev/null 2>&1; then
- sed -i "s/^mailfrom.*/mailfrom=$email/" "$conf"
-else
- mkdir -p $(dirname "$conf")
- echo "mailfrom=$email" >> "$conf"
-fi
-
-setup-mta
-
-echo ""
-echo "Please run 'sendbug' to submit problem reports"
-